version: '2.4'

volumes:
  local_postgres_data: {}

services:
  conflux_server: &conflux_server
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - PORT=8050
        - SCRIPTS_PATH=local
        - CONTRACT_VERSION
        - CONTRACT_REGISTRY
    image: local_conflux_server
    volumes:
      - .:/app
    depends_on:
      - postgres
    environment:
      - CONFLUX_FLASK_DEBUG=True
      - FLASK_ENV=development
      - SSO_HOST=cas-dev.malariagen.net
      - POSTGRES_HOST=postgres
      - POSTGRES_PORT=5432
      - POSTGRES_DB=conflux_service
      - POSTGRES_USER=conflux_user
      - POSTGRES_PASSWORD=conflux_password
      - SDS_BUCKET=
      - SDS_ACCESS=
      - SDS_SECRET=
    ports:
      - "8050:8050"
    command: /start

  postgres:
    image: postgres:12.3-alpine
    volumes:
      - local_postgres_data:/var/lib/postgresql/data
    ports:
      - 5432:5432
    environment:
      - POSTGRES_HOST=postgres
      - POSTGRES_PORT=5432
      - POSTGRES_DB=conflux_service
      - POSTGRES_USER=conflux_user
      - POSTGRES_PASSWORD=conflux_password

networks:
  default:
    name: local_conflux_service
